=== debian/changelog ===
fsl (5.0.7-4) unstable; urgency=medium

  * Fix FTBFS on kfreebsd: Disable 'stack_dump' component that is "highly
    non-portable" and can be replaced, if necessary, with plain gdb.
  * Fix another bashism in the *monitor script generated by bedpostx.

 -- Michael Hanke <mih@debian.org>  Wed, 23 Jul 2014 08:01:53 +0200

fsl (5.0.7-3) unstable; urgency=medium

  * Improve FSL's build configuration to not treat any non-Linux platform
    as a Mac (Closes: #755356).

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jul 2014 11:36:26 +0200

fsl (5.0.7-2) unstable; urgency=low

  * Add a patch to make randomise_parallel work on systems that do not have
    bash as their default shell (Closes: #693373). Thanks to Philip Chase for
    the patch.
  * Add a patch to honor an unset FSLPARALLEL (do not submit jobs to a
    cluster) even in cases where SGE_ROOT is set (Closes: #685757). Thanks to
    German Gomez-Herrero for the patch.
  * Sanitize PATH and LD_LIBRARY_PATH when sourcing the configuration file.
    Old/duplicate FSL path entries are now removed (Closes: #695257). Thanks
    to Vincent Kersten for the patch.

 -- Michael Hanke <mih@debian.org>  Thu, 17 Jul 2014 15:44:44 +0200

fsl (5.0.7-1) unstable; urgency=medium

  * New upstream release.
    - new component: gps
  * Remove the documentation from the source package due to a number of files
    with unclear origin and license. Consequently, the -doc has been removed
    as well. Upstream confirms that documentation is best consumed from the
    live wiki on the project homepage.
  * Move the -gpu package setup into a patch that can be applied to backports
    to particular releases. The current Debian unstable doesn't have a
    functional nvcc and it is i386 and amd64 only anyway.
  * Cleanup and remove old and merged patches.
  * Bumped Standard version to 3.9.5 -- no changes necessary.

 -- Michael Hanke <mih@debian.org>  Fri, 11 Jul 2014 17:22:13 +0200
