=== src/basil/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = basil

SCRIPTS = basil basil_var

all:
