=== src/baycest/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = baycest

SCRIPTS = baycest

all:
