=== debian/changelog ===
fsl (5.0.8-6ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:22:55 +0100

fsl (5.0.8-6ubuntu1) focal; urgency=medium

  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 17:04:28 +0100

fsl (5.0.8-6build1) focal; urgency=medium

  * Rebuild against new liboctave7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Nov 2019 20:35:42 +0100

fsl (5.0.8-6) unstable; urgency=medium

  * Team upload.

  [ Yaroslav Halchenko ]
  * Add 'file' to Depends of fsl-5.0-core. Required by fslFixText utility
  * debian/fsl.sh - place FSL's bin path first (not the last) within adjusted
    $PATH (Closes: #804881)
  * debian/patches/up_in_compar to fix FTBFS of melodic on 17.04
    Closes: #837361

  [ Michael Hanke ]
  * Move 'fslview' from a dependency into suggests. It can no longer be
    built in Debian unstable.
    Closes: #864178

  [ Andreas Tille ]
  * Replace watch line pointing to alioth which does not exist any more
    by fake watch file
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Fix call of overloaded 'round(float)' is ambiguous
  * Silence lintian about false positive spelling
  * fsl-5.0-core Depends: sensible-utils
  * Drop Encoding key from desktop file
  * Drop Debian menu file (since there is a desktop file)
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 15 Jan 2019 16:42:15 +0100

fsl (5.0.8-5) unstable; urgency=medium

  * Disable unecessary unportable debugging code that breaks on kfreebsd.

 -- Michael Hanke <mih@debian.org>  Fri, 21 Aug 2015 11:43:25 +0200

fsl (5.0.8-4) unstable; urgency=medium

  * Remove versioned dependencies on transitional packages libgd2-(no)xpm-dev
    in favor of a dependency on libgd-dev (Closes: #792291). Thanks to
    Mattia Rizzolo for the report.
  * Add patch to force FSL to use its own modified version of the BWidget
    TCL package. This prevents incompatibility issues if a system-wide
    BWidget installation is found (Closes: #792758). The "fix" forces a
    version requirement on BWidget 1.8 (matches embedded version,
    Debian has 1.9.x as of now). This is not ideal, but a minimally intrusive
    change that achieves the desired behavior. Thanks to Vincent Kersten
    for the report.
  * Move upstream meta data to debian/upstream/metadata.
  * Drop embeded excanvas javascript library in favor of a dependency on
    libjs-excanvas.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Aug 2015 11:30:18 +0100

fsl (5.0.8-3) UNRELEASED; urgency=medium

  * fsl_app_wrapper - wrap $@ into "" to pass arguments correctly into
    original utility

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Mar 2015 08:44:03 -0500

fsl (5.0.8-2) experimental; urgency=medium

  * Include upstream patch to prevent a crash in the FEAT component.

 -- Michael Hanke <mih@debian.org>  Fri, 16 Jan 2015 19:11:28 +0100

fsl (5.0.8-1) unstable; urgency=medium

  * New upstream release.
    - New command 'fslselectvols' to select a (non-contiguous) subset of
      volumes from a 4D image.
    - New '-kernel boxv3' option for fslmaths.
    - New '--minextent' option for cluster.
    - Bugfix for header information of topup output files.
    - FEAT has improved handling of non-fatal error conditions.
    - Bugfix for asl_calib script.
    - Bugfix for missing images in the VIENA report.
    - All FSL scripts now internally set their locale to C.
    - A potential race condition with multiple calls to maskdyads or slices has
      been corrected.
    - FDR now saves adjusted values as 1-p if the input is 1-p.
  * Refresh patches and remove one resolved bashism fix.

 -- Michael Hanke <mih@debian.org>  Sun, 21 Dec 2014 10:39:15 +0100
