=== debian/control ===
--- 
+++ 
@@ -1,35 +1,36 @@
 Source: fsl
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Michael Hanke <mih@debian.org>,
+           Yaroslav Halchenko <debian@onerussian.com>
 Section: non-free/science
+XS-Autobuild: yes
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7),
-               zlib1g-dev (>= 1.2.2),
-               libboost-dev (>= 1.32.0),
-               libpng-dev | libpng12-dev (>= 1.2.8rel),
-               libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33),
+Build-Depends: debhelper (>= 9),
+               zlib1g-dev,
+               libboost-dev,
+               libpng-dev,
+               libgd-dev,
                libnewmat10-dev,
                libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
                liboctave-dev | octave3.2-headers | octave3.0-headers,
-               tcl (>=8.4.7),
+               tcl,
                imagemagick,
-               libnifti-dev (>> 1.1.0-1),
+               libnifti-dev,
                libgiftiio-dev,
                mesa-common-dev,
                libexpat1-dev | libexpat-dev,
                libglu1-mesa-dev | libglu-dev,
-               libgomp1,
-Standards-Version: 3.9.5
+               libgomp1
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/fsl
+Vcs-Git: https://salsa.debian.org/neurodebian-team/fsl.git
 Homepage: http://www.fmrib.ox.ac.uk/fsl/
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/fsl.git
-XS-Autobuild: yes
 
 Package: fsl
 Architecture: all
+Section: non-free/oldlibs
 Depends: fsl-core,
-         ${misc:Depends},
-Section: non-free/oldlibs
+         ${misc:Depends}
 Description: transitional dummy package
  The only purpose of this package is to enable upgrades to the new 'fsl-core'
  package which replaces 'fsl'. This package can safely be removed.
@@ -40,9 +41,9 @@
 
 Package: fsl-5.0
 Architecture: all
+Section: non-free/oldlibs
 Depends: fsl-5.0-core,
          ${misc:Depends}
-Section: non-free/oldlibs
 Description: transitional dummy package
  The only purpose of this package is to enable upgrades to the new
  'fsl-5.0-core' package which replaces 'fsl-5.0'.
@@ -54,10 +55,10 @@
 
 Package: fsl-core
 Architecture: all
-Depends:  fsl-5.0-core,
-          ${misc:Depends},
+Depends: fsl-5.0-core,
+         ${misc:Depends}
+Breaks: fsl (<< 5.0.3)
 Replaces: fsl (<< 5.0.3)
-Breaks: fsl (<< 5.0.3)
 Description: metapackage for the latest version of FSL
  FSL is a comprehensive library of image analysis and statistical tools
  for fMRI, MRI and DTI brain imaging data. The suite consists of various
@@ -77,28 +78,29 @@
 
 Package: fsl-5.0-core
 Architecture: any
-Replaces: fsl-5.0 (<< 5.0.3)
-Breaks: fsl-5.0 (<< 5.0.3)
 Depends: mozilla-firefox | www-browser,
+         file,
          tcsh | c-shell,
-         tk (>=8.4.7),
-         tcl (>=8.4.7),
+         tk,
+         tcl,
          bc,
          dc,
-         python,
-         fslview,
+         python2,
+         libjs-excanvas,
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         sensible-utils
 Recommends: fsl-atlases
 Suggests: fsl-feeds,
           fsl-5.0-gpu,
           octave | ${octave:Depends},
           mriconvert | dicomnifti,
           fsl-complete,
-          condor | gridengine-client
-Conflicts: fsl-fslview,
-           fsl-doc-4.1 (<< 4.1.9-5~)
+          condor | gridengine-client,
+          fslview
+Conflicts: fsl-fslview
 Provides: fsl
+Replaces: fsl-5.0 (<< 5.0.3)
 Description: analysis tools for FMRI, MRI and DTI brain imaging
  FSL is a comprehensive library of image analysis and statistical tools
  for fMRI, MRI and DTI brain imaging data. The suite consists of various
