=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Track/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

#http://pkg-exppsy.alioth.debian.org/watchhelper/fsl.html \
#	.*fsl-(.*)-sources\.tar\.gz
